Last call to make your voice heard! Our 2022 Developer Survey closes in less than a week. Take survey.
3 votes
Accepted

Get label from PT Pill field

There is only one correct syntax style: {companies_type:label}. If it's not working you might have changed your options after saving an entry. So the stored value is not matching any options anymore ...
user avatar
  • 161
2 votes
Accepted

PHP Error in PT Field Pack - Pill: "Array to string conversion Filename: fieldpack/ft.fieldpack_pill.php"

I just had this issue too on same installation. I had installed a new fieldtype (Plate Picker), which uses the $settings['options'] array too to store the field_type settings. Problem is that P&T ...
user avatar
2 votes

PHP Error in PT Field Pack - Pill: "Array to string conversion Filename: fieldpack/ft.fieldpack_pill.php"

Field Pack gives you the option to specify a name and value pair, so in your field you could set: [value] : [name] which might equate to say 1 : Yes 0 : No This would then display in your pill ...
user avatar
2 votes
Accepted

Output List of P&T Dropdown Field Options

Low Options can output native and P&T dropdown options in your templates.
user avatar
  • 11.3k
2 votes

How to see if a checkbox is selected?

I had the same problem post upgrade from EE 2.8 to 2.10 and found that I needed to change the conditionals as follows to make them work again: {if '{my_checkboxes:selected option="value"}' == '1'}
user avatar
  • 645
1 vote

How to see if a checkbox is selected?

{if '{my_matrix_column:selected option="text"}'}popup{/if} This should definitely work, according to the Field Pack docs. You could also just loop through and do your conditional inside the loop: {...
user avatar
  • 17.4k
1 vote

Why won't Field Pack List 2.1.1 work?

Sorry for the lack of clarity, I have figured this out and will detail it in case someone makes the same mistake I made. I have been working with EE to long to make this type of mistake, but figured ...
user avatar
  • 293
1 vote

Content Elements and P&T Fieldpack List Problem

In case any others might be struggling with this annoying problem: it's a compatibility issue, get the latest Field Pack (2.2) and everything works as it should :) The Field Pack Changelog lists the ...
user avatar
  • 245
1 vote

Error message when I try to edit custom fields

As far as I'm aware, P&T field pack isn't working under 2.8. Remove/uninstall the fields and you'll stop the error. If you have channels that use these field types then you'll have to make other ...
user avatar
  • 3,163
1 vote

P&T Field Pack 2.1.1 on EE2.8.1 Installation Errors Notice and warnings

P&T field pack has been superseded by fieldpack http://devot-ee.com/add-ons/field-pack. P&T field pack wont be supported by 2.8.1 but the upgrade to field pack is really simple do.
user avatar
  • 326

Only top scored, non community-wiki answers of a minimum length are eligible